/*******************************************************************************
 * Copyright (C) Altimetrik 2018. All rights reserved.
 * 
 * This software is the confidential and proprietary information
 * of Altimetrik. You shall not disclose such Confidential Information
 * and shall use it only in accordance with the terms and conditions
 * entered into with Altimetrik.
 ******************************************************************************/
package com.altimetrik.playground.innovation.util;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import org.togglz.core.context.FeatureContext;

import com.altimetrik.playground.innovation.exception.FeatureNotEnabledException;
import com.altimetrik.playground.innovation.feature.Features;
import com.altimetrik.playground.innovation.properties.ErrorProperties;

import lombok.extern.slf4j.Slf4j;

@Slf4j
@Component
public class FeatureValidatorUtil {

	@Autowired
	private ErrorProperties errorProperties;

	private ErrorProperties getErrorProperties() {
		return this.errorProperties;
	}

	public boolean isActive(Features feature) throws FeatureNotEnabledException {
		if (FeatureContext.getFeatureManager().isActive(feature))
			return true;
		log.error("Feature not enabled", feature.toString());
		throw new FeatureNotEnabledException(this.getErrorProperties().getFeatureNotEnabledErrorCode(), this.getErrorProperties().getFeatureNotEnabledErrorMessage());
	}

}
