package com.altimetrik.playground.innovation.util;

import org.springframework.security.core.Authentication;
import org.springframework.security.core.context.SecurityContextHolder;
import org.springframework.stereotype.Component;

import com.altimetrik.playground.innovation.bean.Principal;

/**
 * The Class UserUtil.
 */
@Component("userUtil")
public class UserUtil {

	/**
	 * Gets the logged in user.
	 *
	 * @return the logged in user
	 */
	public String getLoggedInUser() {
		Authentication authentication = SecurityContextHolder.getContext().getAuthentication();
		Principal principal = (Principal) authentication.getPrincipal();
		return principal.getUserId();
	}
}
